<template>
	<div>
		<div v-infinite-scroll="loadMore" infinite-scroll-disabled="busy" :infinite-scroll-distance="10">
			<div v-for="(temp,index) in data">
				<newArticle v-bind="temp" :index="index"></newArticle>
				<!-- <box5 v-bind="temp"></box5> -->
			</div>
			<div v-if="loading && !busy" class="demo-loading-container">
				<a-spin />
			</div>
		</div>
		<a-row type="flex" justify="center">
			<div style="position:fixed;bottom: 10px;" id="dddadf">
				<a-pagination @change="onChange" :showQuickJumper="true" :size="size" v-model="current"
					:defaultPageSize="10" :pageSize="pageSize" :total="total" />
			</div>
		</a-row>

	</div>
</template>
<script>
	import infiniteScroll from 'vue-infinite-scroll';
	import box5 from "../mini/box5-article.vue"
	import babyActicle from '../../assets/baby.htm'
	import newArticle from "../mini/box-new-article.vue"
	import shijie from '../../assets/shijie.htm'
	import {
		queryBlogArticleList
	} from '../../api/blogArticle.js'

	var obj1 = {
		"source": babyActicle,
		"title": "陈奕迅-Body Song 歌词",
		"read": 1101,
		"like": 233,
		"folder": "歌词",
		"publishTime": "2021-05-26",
	}
	var obj2 = {
		"source": shijie,
		"title": "这世界那么多人-吉他谱",
		"read": 3101,
		"like": 113,
		"folder": "吉他谱",
		"publishTime": "2020-05-26",
	}
	var obj3 = {
		"source": shijie,
		"title": "遥远的它-吉他谱",
		"read": 201,
		"like": 13,
		"folder": "吉他谱",
		"publishTime": "2022-07-26",
	}

	export default {
		components: {
			box5,
			newArticle
		},
		directives: {
			infiniteScroll
		},
		data() {
			return {
				typeId: "",
				data: [],
				loading: false,
				busy: false,
				size: "small",
				total: 1,
				pageSize: 1,
				current: 1,
			};
		},
		watch: {
			'$route'(to, from) {
				if ("articleList" === to.name) {
					this.typeId = this.$route.query.typeId;
				}
			},
			typeId: function(newValue, oldValue) {
				this.busy = true;
				this.$message.info('loading',0.3);
				this.onChange(1);
			}

		},
		activated() {
			window.addEventListener('scroll', this);
		},
		deactivated() {
			window.removeEventListener('scroll', this);
		},
		beforeMount() {
			queryBlogArticleList({
				pageNo: this.current,
				typeId: this.typeId
			}).then((res) => {
				this.total = Number(res.data.total)
				this.pageSize = Number(res.data.size);
				this.data = res.data.records;
				return res
			})
		},
		methods: {
			onChange(current) {
				this.current = current;
				queryBlogArticleList({
					pageNo: current,
					typeId: this.typeId
				}).then((res) => {
					this.busy = false;
					this.total = Number(res.data.total)
					this.pageSize = Number(res.data.size);
					this.data = res.data.records;
					return res
				})
			},
			loadMore() {
				this.loading = true;
				this.busy = true;

				queryBlogArticleList({
					pageNo: this.current + 1,
					typeId: this.typeId
				}).then((res) => {

					this.total = Number(res.data.total)
					this.pageSize = Number(res.data.size);
					this.data = this.data.concat(res.data.records);
					this.busy = false;
					if (res.data.records.length == 0) {
						//this.$message.warning('别滑了,别滑了,到底了..');
						this.busy = true;
						this.loading = false;
						return;
					} else {
						this.current += 1;
					}

					return res
				})

				setTimeout(function() {
					this.loading = false;
				}, 100);


			},
		},
	};
</script>
<style>
	/* .test {
		overflow: hidden;
		height: 700px;
	}

	.infinite-container {
		overflow: auto;
	}

	.infinite-container::-webkit-scrollbar {
		display: none;
	} */

	.demo-loading-container {
		position: absolute;
		bottom: 40px;
		width: 100%;
		text-align: center;
	}
</style>
